# Class VCFConstants

java.lang.Object
htsjdk.variant.vcf.VCFConstants

public final class VCFConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALLELE_COUNT_KEY`
`static final String`
`ALLELE_FREQUENCY_KEY`
`static final String`
`ALLELE_NUMBER_KEY`
`static final String`
`ALT_HEADER_KEY`
`static final int`
`ALT_HEADER_OFFSET`
`static final String`
`ALT_HEADER_START`
`static final String`
`ANCESTRAL_ALLELE_KEY`
`static final String`
`CIGAR_KEY`
`static final String`
`CONTIG_HEADER_KEY`
`static final String`
`CONTIG_HEADER_START`
`static final String`
`DBSNP_KEY`
`static final char`
`DELETION_ALLELE_v3`
`static final String`
`DEPTH_KEY`
`static final String`
`EMPTY_ALLELE`
`static final String`
`EMPTY_ALTERNATE_ALLELE_FIELD`
`static final String`
`EMPTY_GENOTYPE`
`static final String`
`EMPTY_ID_FIELD`
`static final String`
`EMPTY_INFO_FIELD`
`static final String`
`END_KEY`
`static final String`
`EXPECTED_ALLELE_COUNT_KEY`
`static final String`
`FIELD_SEPARATOR`
`static final char`
`FIELD_SEPARATOR_CHAR`
`static final String`
`FILTER_CODE_SEPARATOR`
`static final String`
`FILTER_HEADER_START`
`static final String`
`FORMAT_FIELD_SEPARATOR`
`static final String`
`FORMAT_HEADER_START`
`static final String`
`GENOTYPE_ALLELE_DEPTHS`
`static final String`
`GENOTYPE_FIELD_SEPARATOR`
`static final char`
`GENOTYPE_FIELD_SEPARATOR_CHAR`
`static final String`
`GENOTYPE_FILTER_KEY`
`static final String`
`GENOTYPE_KEY`
`static final String`
`GENOTYPE_LIKELIHOODS_KEY`
Deprecated.
`static final String`
`GENOTYPE_PL_KEY`
`static final String`
`GENOTYPE_POSTERIORS_KEY`
`static final String`
`GENOTYPE_QUALITY_KEY`
`static final String`
`HAPLOTYPE_QUALITY_KEY`
`static final String`
`HAPMAP2_KEY`
`static final String`
`HAPMAP3_KEY`
`static final String`
`ID_FIELD_SEPARATOR`
`static final String`
`INFO_FIELD_ARRAY_SEPARATOR`
`static final char`
`INFO_FIELD_ARRAY_SEPARATOR_CHAR`
`static final String`
`INFO_FIELD_SEPARATOR`
`static final char`
`INFO_FIELD_SEPARATOR_CHAR`
`static final String`
`INFO_HEADER_START`
`static final char`
`INSERTION_ALLELE_v3`
`static final String`
`MAPPING_QUALITY_ZERO_KEY`
`static final int`
`MAX_GENOTYPE_QUAL`
`static final String`
`META_HEADER_KEY`
`static final int`
`META_HEADER_OFFSET`
`static final String`
`META_HEADER_START`
`static final String`
`MISSING_DEPTH_v3`
`static final String`
`MISSING_GENOTYPE_QUALITY_v3`
`static final String`
`MISSING_HAPLOTYPE_QUALITY_v3`
`static final String`
`MISSING_QUALITY_v3`
`static final Double`
`MISSING_QUALITY_v3_DOUBLE`
`static final String`
`MISSING_VALUE_v4`
`static final char`
`NO_CALL_ALLELE`
`static final char`
`NULL_ALLELE`
`static final String`
`OLD_DEPTH_KEY`
`static final String`
`PASSES_FILTERS_v3`
`static final String`
`PASSES_FILTERS_v4`
`static final String`
`PEDIGREE_HEADER_KEY`
`static final int`
`PEDIGREE_HEADER_OFFSET`
`static final String`
`PEDIGREE_HEADER_START`
`static final String`
`PER_ALLELE_COUNT`
`static final String`
`PER_ALTERNATE_COUNT`
`static final String`
`PER_GENOTYPE_COUNT`
`static final String`
`PHASE_QUALITY_KEY`
`static final String`
`PHASE_SET_KEY`
`static final String`
`PHASED`
`static final String`
`PHASED_SWITCH_PROB_v3`
`static final String`
`PHASING_TOKENS`
`static final String`
`RMS_BASE_QUALITY_KEY`
`static final String`
`RMS_MAPPING_QUALITY_KEY`
`static final String`
`SAMPLE_HEADER_KEY`
`static final int`
`SAMPLE_HEADER_OFFSET`
`static final String`
`SAMPLE_HEADER_START`
`static final String`
`SAMPLE_NUMBER_KEY`
`static final String`
`SOMATIC_KEY`
`static final char`
`SPANNING_DELETION_ALLELE`
`static final String`
`STRAND_BIAS_KEY`
`static final String`
`SVTYPE`
INFO Type of structural variant
`static final String`
`THOUSAND_GENOMES_KEY`
`static final String`
`UNBOUNDED_ENCODING_v3`
`static final String`
`UNBOUNDED_ENCODING_v4`
`static final String`
`UNFILTERED`
`static final String`
`UNPHASED`
`static final String`
`VALIDATED_KEY`
`static final Double`
`VCF_ENCODING_EPSILON`
`static final Locale`
`VCF_LOCALE`

## Constructor Summary

Constructors
Constructor
Description
`VCFConstants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VCF_LOCALE

public static final Locale VCF_LOCALE

### ANCESTRAL_ALLELE_KEY

public static final String ANCESTRAL_ALLELE_KEY

See Also:
  - Constant Field Values

### ALLELE_COUNT_KEY

public static final String ALLELE_COUNT_KEY

See Also:
  - Constant Field Values

### ALLELE_FREQUENCY_KEY

public static final String ALLELE_FREQUENCY_KEY

See Also:
  - Constant Field Values

### ALLELE_NUMBER_KEY

public static final String ALLELE_NUMBER_KEY

See Also:
  - Constant Field Values

### RMS_BASE_QUALITY_KEY

public static final String RMS_BASE_QUALITY_KEY

See Also:
  - Constant Field Values

### CIGAR_KEY

public static final String CIGAR_KEY

See Also:
  - Constant Field Values

### DBSNP_KEY

public static final String DBSNP_KEY

See Also:
  - Constant Field Values

### DEPTH_KEY

public static final String DEPTH_KEY

See Also:
  - Constant Field Values

### END_KEY

public static final String END_KEY

See Also:
  - Constant Field Values

### GENOTYPE_FILTER_KEY

public static final String GENOTYPE_FILTER_KEY

See Also:
  - Constant Field Values

### GENOTYPE_KEY

public static final String GENOTYPE_KEY

See Also:
  - Constant Field Values

### GENOTYPE_POSTERIORS_KEY

public static final String GENOTYPE_POSTERIORS_KEY

See Also:
  - Constant Field Values

### GENOTYPE_QUALITY_KEY

public static final String GENOTYPE_QUALITY_KEY

See Also:
  - Constant Field Values

### GENOTYPE_ALLELE_DEPTHS

public static final String GENOTYPE_ALLELE_DEPTHS

See Also:
  - Constant Field Values

### GENOTYPE_PL_KEY

public static final String GENOTYPE_PL_KEY

See Also:
  - Constant Field Values

### EXPECTED_ALLELE_COUNT_KEY

public static final String EXPECTED_ALLELE_COUNT_KEY

See Also:
  - Constant Field Values

### GENOTYPE_LIKELIHOODS_KEY

@Deprecated public static final String GENOTYPE_LIKELIHOODS_KEY
Deprecated.

See Also:
  - Constant Field Values

### HAPMAP2_KEY

public static final String HAPMAP2_KEY

See Also:
  - Constant Field Values

### HAPMAP3_KEY

public static final String HAPMAP3_KEY

See Also:
  - Constant Field Values

### HAPLOTYPE_QUALITY_KEY

public static final String HAPLOTYPE_QUALITY_KEY

See Also:
  - Constant Field Values

### RMS_MAPPING_QUALITY_KEY

public static final String RMS_MAPPING_QUALITY_KEY

See Also:
  - Constant Field Values

### MAPPING_QUALITY_ZERO_KEY

public static final String MAPPING_QUALITY_ZERO_KEY

See Also:
  - Constant Field Values

### SAMPLE_NUMBER_KEY

public static final String SAMPLE_NUMBER_KEY

See Also:
  - Constant Field Values

### PHASE_QUALITY_KEY

public static final String PHASE_QUALITY_KEY

See Also:
  - Constant Field Values

### PHASE_SET_KEY

public static final String PHASE_SET_KEY

See Also:
  - Constant Field Values

### OLD_DEPTH_KEY

public static final String OLD_DEPTH_KEY

See Also:
  - Constant Field Values

### STRAND_BIAS_KEY

public static final String STRAND_BIAS_KEY

See Also:
  - Constant Field Values

### SOMATIC_KEY

public static final String SOMATIC_KEY

See Also:
  - Constant Field Values

### VALIDATED_KEY

public static final String VALIDATED_KEY

See Also:
  - Constant Field Values

### THOUSAND_GENOMES_KEY

public static final String THOUSAND_GENOMES_KEY

See Also:
  - Constant Field Values

### SVTYPE

public static final String SVTYPE
INFO Type of structural variant

See Also:
  - Constant Field Values

### FORMAT_FIELD_SEPARATOR

public static final String FORMAT_FIELD_SEPARATOR

See Also:
  - Constant Field Values

### GENOTYPE_FIELD_SEPARATOR

public static final String GENOTYPE_FIELD_SEPARATOR

See Also:
  - Constant Field Values

### GENOTYPE_FIELD_SEPARATOR_CHAR

public static final char GENOTYPE_FIELD_SEPARATOR_CHAR

See Also:
  - Constant Field Values

### FIELD_SEPARATOR

public static final String FIELD_SEPARATOR

See Also:
  - Constant Field Values

### FIELD_SEPARATOR_CHAR

public static final char FIELD_SEPARATOR_CHAR

See Also:
  - Constant Field Values

### FILTER_CODE_SEPARATOR

public static final String FILTER_CODE_SEPARATOR

See Also:
  - Constant Field Values

### INFO_FIELD_ARRAY_SEPARATOR

public static final String INFO_FIELD_ARRAY_SEPARATOR

See Also:
  - Constant Field Values

### INFO_FIELD_ARRAY_SEPARATOR_CHAR

public static final char INFO_FIELD_ARRAY_SEPARATOR_CHAR

See Also:
  - Constant Field Values

### ID_FIELD_SEPARATOR

public static final String ID_FIELD_SEPARATOR

See Also:
  - Constant Field Values

### INFO_FIELD_SEPARATOR

public static final String INFO_FIELD_SEPARATOR

See Also:
  - Constant Field Values

### INFO_FIELD_SEPARATOR_CHAR

public static final char INFO_FIELD_SEPARATOR_CHAR

See Also:
  - Constant Field Values

### UNPHASED

public static final String UNPHASED

See Also:
  - Constant Field Values

### PHASED

public static final String PHASED

See Also:
  - Constant Field Values

### PHASED_SWITCH_PROB_v3

public static final String PHASED_SWITCH_PROB_v3

See Also:
  - Constant Field Values

### PHASING_TOKENS

public static final String PHASING_TOKENS

See Also:
  - Constant Field Values

### FILTER_HEADER_START

public static final String FILTER_HEADER_START

See Also:
  - Constant Field Values

### FORMAT_HEADER_START

public static final String FORMAT_HEADER_START

See Also:
  - Constant Field Values

### INFO_HEADER_START

public static final String INFO_HEADER_START

See Also:
  - Constant Field Values

### ALT_HEADER_KEY

public static final String ALT_HEADER_KEY

See Also:
  - Constant Field Values

### ALT_HEADER_START

public static final String ALT_HEADER_START

See Also:
  - Constant Field Values

### CONTIG_HEADER_KEY

public static final String CONTIG_HEADER_KEY

See Also:
  - Constant Field Values

### CONTIG_HEADER_START

public static final String CONTIG_HEADER_START

See Also:
  - Constant Field Values

### ALT_HEADER_OFFSET

public static final int ALT_HEADER_OFFSET

### PEDIGREE_HEADER_KEY

public static final String PEDIGREE_HEADER_KEY

See Also:
  - Constant Field Values

### PEDIGREE_HEADER_START

public static final String PEDIGREE_HEADER_START

See Also:
  - Constant Field Values

### PEDIGREE_HEADER_OFFSET

public static final int PEDIGREE_HEADER_OFFSET

### SAMPLE_HEADER_KEY

public static final String SAMPLE_HEADER_KEY

See Also:
  - Constant Field Values

### SAMPLE_HEADER_START

public static final String SAMPLE_HEADER_START

See Also:
  - Constant Field Values

### SAMPLE_HEADER_OFFSET

public static final int SAMPLE_HEADER_OFFSET

### META_HEADER_KEY

public static final String META_HEADER_KEY

See Also:
  - Constant Field Values

### META_HEADER_START

public static final String META_HEADER_START

See Also:
  - Constant Field Values

### META_HEADER_OFFSET

public static final int META_HEADER_OFFSET

### DELETION_ALLELE_v3

public static final char DELETION_ALLELE_v3

See Also:
  - Constant Field Values

### INSERTION_ALLELE_v3

public static final char INSERTION_ALLELE_v3

See Also:
  - Constant Field Values

### SPANNING_DELETION_ALLELE

public static final char SPANNING_DELETION_ALLELE

See Also:
  - Constant Field Values

### NO_CALL_ALLELE

public static final char NO_CALL_ALLELE

See Also:
  - Constant Field Values

### NULL_ALLELE

public static final char NULL_ALLELE

See Also:
  - Constant Field Values

### UNFILTERED

public static final String UNFILTERED

See Also:
  - Constant Field Values

### PASSES_FILTERS_v3

public static final String PASSES_FILTERS_v3

See Also:
  - Constant Field Values

### PASSES_FILTERS_v4

public static final String PASSES_FILTERS_v4

See Also:
  - Constant Field Values

### EMPTY_ID_FIELD

public static final String EMPTY_ID_FIELD

See Also:
  - Constant Field Values

### EMPTY_INFO_FIELD

public static final String EMPTY_INFO_FIELD

See Also:
  - Constant Field Values

### EMPTY_ALTERNATE_ALLELE_FIELD

public static final String EMPTY_ALTERNATE_ALLELE_FIELD

See Also:
  - Constant Field Values

### MISSING_VALUE_v4

public static final String MISSING_VALUE_v4

See Also:
  - Constant Field Values

### MISSING_QUALITY_v3

public static final String MISSING_QUALITY_v3

See Also:
  - Constant Field Values

### MISSING_QUALITY_v3_DOUBLE

public static final Double MISSING_QUALITY_v3_DOUBLE

### MISSING_GENOTYPE_QUALITY_v3

public static final String MISSING_GENOTYPE_QUALITY_v3

See Also:
  - Constant Field Values

### MISSING_HAPLOTYPE_QUALITY_v3

public static final String MISSING_HAPLOTYPE_QUALITY_v3

See Also:
  - Constant Field Values

### MISSING_DEPTH_v3

public static final String MISSING_DEPTH_v3

See Also:
  - Constant Field Values

### UNBOUNDED_ENCODING_v4

public static final String UNBOUNDED_ENCODING_v4

See Also:
  - Constant Field Values

### UNBOUNDED_ENCODING_v3

public static final String UNBOUNDED_ENCODING_v3

See Also:
  - Constant Field Values

### PER_ALTERNATE_COUNT

public static final String PER_ALTERNATE_COUNT

See Also:
  - Constant Field Values

### PER_ALLELE_COUNT

public static final String PER_ALLELE_COUNT

See Also:
  - Constant Field Values

### PER_GENOTYPE_COUNT

public static final String PER_GENOTYPE_COUNT

See Also:
  - Constant Field Values

### EMPTY_ALLELE

public static final String EMPTY_ALLELE

See Also:
  - Constant Field Values

### EMPTY_GENOTYPE

public static final String EMPTY_GENOTYPE

See Also:
  - Constant Field Values

### MAX_GENOTYPE_QUAL

public static final int MAX_GENOTYPE_QUAL

See Also:
  - Constant Field Values

### VCF_ENCODING_EPSILON

public static final Double VCF_ENCODING_EPSILON

## Constructor Details

### VCFConstants

public VCFConstants()